| The Gaudi Framework v32r1 (f65d50dc)

Static Public Member Functions | Static Private Member Functions | Static Private Attributes | Friends | List of all members
Gaudi::Concurrency::ConcurrencyFlags Class Reference

`#include <GaudiKernel/ConcurrencyFlags.h>`

Collaboration diagram for Gaudi::Concurrency::ConcurrencyFlags:
[legend]

## Static Public Member Functions
static GAUDI_API std::size_t | numThreads ()
| number of Worker Threads (for MT) More...
static GAUDI_API std::size_t | numConcurrentEvents ()
| number of Concurrent Events (for MT) More...
static GAUDI_API std::size_t | numProcs ()
| number of forked child processes (for MP) More...
static GAUDI_API bool | concurrent ()
| serial operation, or some form of concurrency More...

## Static Private Member Functions
static GAUDI_API void | setNumThreads (const std::size_t &nT)
static GAUDI_API void | setNumConcEvents (const std::size_t &nE)
static GAUDI_API void | setNumProcs (const std::size_t &nP)

## Static Private Attributes
static std::size_t | n_threads {0}
static std::size_t | n_concEvts {0}
static std::size_t | n_procs {0}

## Friends
class | ::ThreadPoolSvc
class | ::HiveWhiteBoard
class | ::EvtStoreSvc
class | SG::HiveMgrSvc
class | ::AthMpEvtLoopMgr

## Detailed Description

Definition at line 32 of file ConcurrencyFlags.h.

## Member Function Documentation

## ◆ concurrent()

static GAUDI_API bool Gaudi::Concurrency::ConcurrencyFlags::concurrent | ( |  | ) |
| inline static

serial operation, or some form of concurrency

Definition at line 55 of file ConcurrencyFlags.h.

55 { return ( n_threads || n_concEvts || n_procs ); }
Gaudi::Concurrency::ConcurrencyFlags::n_threads
static std::size_t n_threads
Definition: ConcurrencyFlags.h:63
Gaudi::Concurrency::ConcurrencyFlags::n_concEvts
static std::size_t n_concEvts
Definition: ConcurrencyFlags.h:64
Gaudi::Concurrency::ConcurrencyFlags::n_procs
static std::size_t n_procs
Definition: ConcurrencyFlags.h:65

## ◆ numConcurrentEvents()

static GAUDI_API std::size_t Gaudi::Concurrency::ConcurrencyFlags::numConcurrentEvents | ( |  | ) |
| inline static

number of Concurrent Events (for MT)

Definition at line 47 of file ConcurrencyFlags.h.

47 { return n_concEvts; }
Gaudi::Concurrency::ConcurrencyFlags::n_concEvts
static std::size_t n_concEvts
Definition: ConcurrencyFlags.h:64

## ◆ numProcs()

static GAUDI_API std::size_t Gaudi::Concurrency::ConcurrencyFlags::numProcs | ( |  | ) |
| inline static

number of forked child processes (for MP)

Definition at line 51 of file ConcurrencyFlags.h.

51 { return n_procs; }
Gaudi::Concurrency::ConcurrencyFlags::n_procs
static std::size_t n_procs
Definition: ConcurrencyFlags.h:65

## ◆ numThreads()

static GAUDI_API std::size_t Gaudi::Concurrency::ConcurrencyFlags::numThreads | ( |  | ) |
| inline static

number of Worker Threads (for MT)

Definition at line 43 of file ConcurrencyFlags.h.

43 { return n_threads; }
Gaudi::Concurrency::ConcurrencyFlags::n_threads
static std::size_t n_threads
Definition: ConcurrencyFlags.h:63

## ◆ setNumConcEvents()

static GAUDI_API void Gaudi::Concurrency::ConcurrencyFlags::setNumConcEvents | ( | const std::size_t & | nE | ) |
| inline static private

Definition at line 59 of file ConcurrencyFlags.h.

59 { n_concEvts = nE; }
Gaudi::Concurrency::ConcurrencyFlags::n_concEvts
static std::size_t n_concEvts
Definition: ConcurrencyFlags.h:64

## ◆ setNumProcs()

static GAUDI_API void Gaudi::Concurrency::ConcurrencyFlags::setNumProcs | ( | const std::size_t & | nP | ) |
| inline static private

Definition at line 60 of file ConcurrencyFlags.h.

60 { n_procs = nP; }
Gaudi::Concurrency::ConcurrencyFlags::n_procs
static std::size_t n_procs
Definition: ConcurrencyFlags.h:65

## ◆ setNumThreads()

static GAUDI_API void Gaudi::Concurrency::ConcurrencyFlags::setNumThreads | ( | const std::size_t & | nT | ) |
| inline static private

Definition at line 58 of file ConcurrencyFlags.h.

58 { n_threads = nT; }
Gaudi::Concurrency::ConcurrencyFlags::n_threads
static std::size_t n_threads
Definition: ConcurrencyFlags.h:63

## Friends And Related Function Documentation

## ◆ ::AthMpEvtLoopMgr

friend class ::AthMpEvtLoopMgr
| friend

Definition at line 38 of file ConcurrencyFlags.h.

## ◆ ::EvtStoreSvc

friend class ::EvtStoreSvc
| friend

Definition at line 36 of file ConcurrencyFlags.h.

## ◆ ::HiveWhiteBoard

friend class ::HiveWhiteBoard
| friend

Definition at line 35 of file ConcurrencyFlags.h.

## ◆ ::ThreadPoolSvc

friend class ::ThreadPoolSvc
| friend

Definition at line 34 of file ConcurrencyFlags.h.

## ◆ SG::HiveMgrSvc

friend class SG::HiveMgrSvc
| friend

Definition at line 37 of file ConcurrencyFlags.h.

## Member Data Documentation

## ◆ n_concEvts

std::size_t ConcurrencyFlags::n_concEvts {0}
| static private

Definition at line 64 of file ConcurrencyFlags.h.

## ◆ n_procs

std::size_t ConcurrencyFlags::n_procs {0}
| static private

Definition at line 65 of file ConcurrencyFlags.h.

## ◆ n_threads

std::size_t ConcurrencyFlags::n_threads {0}
| static private

Definition at line 63 of file ConcurrencyFlags.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/ConcurrencyFlags.h
- GaudiKernel/src/Lib/ConcurrencyFlags.cpp